EDIT - feature request #5914

provide drupal installation profile for multilingual sites
06/23/2016 02:14 PM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

requires steps:
1. install the required modules

IMPORTANT*: The translations supplied with the cdm_dataportal module will only be imported during the module
installation if the according languages are set up *before installing the module!!!!

1. enable language and i18n & i10N modules (see #5913 for details)
2. enable all languages provided with the cdm_dataportal module.

3. import the translations:

first install and enable 110n_upate
drush -1 "<drupal-site>" en 110n_update
then import the translations

drush 1l0n-update-refresh
drush 110n-update —--languages=...

1. enable the cdm_dataportal module

Alternatively we could provide easy to use functions that allow portal maintainers to activate languages and to automatically import
the according translations.

2. setup the language switcher
1. place 'Language switcher' block in region 'navigation bar' and set the block title to "

2. add the following css rules to the 'CDM DataPortal base theme' 'User defined styles":

#block-locale-language {
margin-top: -2.8em;
float: right;

}

ul.language-switcher—-locale-session {
padding-right: 5px;

}

ul.language-switcher—-locale-session 1i {

display: inline;

}

ul.language-switcher-locale-session 1li a:link,

ul.language-switcher-locale-session 1li a:visited {
color: white;

}
https://dev.e-taxonomy.eu/redmine/issues/5913

3. Configure content types

This is recommended for the content types article and Basic page:

1. in admin/structure/types/manage/{content_type} :
a. Publishing options > Multilingual support: (x)Enabled, with translation
a. submit form

a. Multilingual settings > Extended language options: Set current language as default for new content & [x Require language (Do not
allow Language Neutral).

1. admin/structure/types/manage/{content_type}/display :

a. set Language to Hidden

1. go to /node/1/translate and click add translation or directly go to /node/add/page?translation=1&target=es}}. This will create
{{{node/2 as spanish translation of node/1

5. Site set up

1. go to /admin/config/system/site-information?variable_realm_key_language=es and set the spanish Default front page: [node/2]

2. if you need to tranlate the site name, go to the same page as above and set the Site name

3. multilingual front page variable : admin/config/regional/i18n/variable Site information > [x] Default front page

6. Set up menus

1. in admin/structure/menu/manage/main-menu/edit Multilingual options >> Translation mode set (x) Fixed Language. and choose
Language English

2. got to admin/config/regional/translate/i18n_string check Menu and [x Clean up left over strings and submit the form

3. Now a new Menu items can be added. The language of the menu item is determined by the node language it is pointing to.

7. Set permissions
Add permissions to @CDM admin@:

administer content translations
administer languages

translate content
translate interface
translate user-defined strings

Creating Profiles

e How to Create a Drupal Installation Profile with Profiler and Profiler Builder

o Profiler

e Creating a Multilingual Install Profile for Drupal

e drush make

o Managing Drush make files for an installation profile
o Drush Make theory for happy profile development

Examples and Templates
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/X%5D
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/X%5D
https://www.drupal.org/node/1852008
https://www.drupal.org/project/profiler
https://evolvingweb.ca/blog/creating-multilingual-install-profile-drupal
https://www.drupal.org/node/1476014
https://www.drupal.org/node/1006620

The drupal module 110n_install could serve as template for our own installation profile. Source code for Drupal 7 is found here:

http://cgit.drupalcode.org/I10n_install/tree/?h=7.x-1.x

Subtasks:

feature request # 5911: deploy spanisch translation with the cdm_dataportal module
bug # 5912: translatable dynamic strings conform to drupal policy

feature request # 5913: enable required i18n modules by default

Closed
Closed
New

Related issues:
Related to EDIT - task #8863: Create full documentation on multilingual setup...
Related to EDIT - task #10010: Install Spanish for Mexico Eflora dataportal

In Progress
Closed

04/27/2022
04/05/2022

04/29/2022
04/08/2022

History

#1 - 06/23/2016 03:48 PM - Andreas Miiller
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- Category changed from architecture to dataportal

#2 - 07/01/2016 11:45 AM - Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 4.4

#3 - 07/01/2016 11:45 AM - Andreas Kohlbecker
- Priority changed from New to Priority13

#4 - 10/13/2016 11:54 AM - Andreas Kohlbecker

- Description updated

- Category deleted (cdm-dataportal)

- Target version changed from Release 4.4 to Unassigned CDM tickets

- Keywords set to multilingual

#5 - 10/13/2016 11:54 AM - Andreas Kohlbecker

- Private changed from Yes to No

#6 - 10/13/2016 11:54 AM - Andreas Kohlbecker

- Category set to Import

#7 - 03/31/2022 11:22 AM - Andreas Miiller

- Related to task #8863: Create full documentation on multilingual setup of the Data Portal added

#8 - 03/31/2022 11:25 AM - Andreas Miiller
- Related to task #10010: Install Spanish for Mexico Eflora dataportal added

#9 - 04/26/2022 01:13 PM - Katja Luther

- Description updated
https://www.drupal.org/project/l10n_install
http://cgit.drupalcode.org/l10n_install/tree/?h=7.x-1.x
http://www.tcpdf.org

